#nom de l'executable a compiler
NOMEXEC= tris


#regle principale lancee par la commande "make"
all: tris

vecteurs.o : vecteurs.c
	gcc -c vecteurs.c

tris.o : tris.c
	gcc -c tris.c

#compilation finale : necessite que les fichiers .o soient generes
# $^ signifie "toutes les dépendances", ie ici vecteurs.o et tris.o

tris : vecteurs.o tris.o
	gcc -o $(NOMEXEC) $^

#regle de nettoyage, a appeler avec make clean

clean:
	rm -f *~ *.o *.a
	rm -f tris
